OPENRTSP(1)

NAME

openRTSP - open, stream, receive, and (optionally) record media streams that are specified by a RTSP URL

playSIP - SIP session recorder

SYNOPSIS

vobStreamer [options...]

playISP [options...]

DESCRIPTION

The program will open the given URL (using RTSP's "DESCRIBE" command), retrieve the session's SDP description, and then, for each audio/video subsession whose RTP payload format it understands, "SETUP" and "PLAY" the subsession.

The received data for each subsession is written into a separate output file, named according to its MIME type. For example, if the session contains a MPEG-1 or 2 audio subsession (RTP payload type 14) - e.g., MP3 - and a MPEG-1 or 2 video subsession (RTP payload type 32), then each subsession's data will be extracted from the incoming RTP packets and written to files named "audio-MPA-1" and "video-MPV-2" (respectively). (You will probably then need to rename these files - by giving them an appropriate filename extension (e.g., ".mp3" and ".mpg") - in order to be able to play them using common media player tools.)

OPTIONS

-4  output a '.mp4'-format file (to 'stdout', unless the "-P <interval-in-seconds>" option is also given)

-a  play only the audio stream (to 'stdout', unless the "-P <interval-in-seconds>" option is also given)

-A <codec-number>
    specify the static RTP payload format number of the audio codec to request from the server ("playSIP" only)

-b <buffer-size>
    change the output file buffer size

-B <buffer-size>
    change the input network socket buffer size

-c  play continuously

-C  Explicitly ask for a multicast stream even if the server's "DESCRIBE" response doesn't specift a multicast address. (Note that not all servers will support this.) ("openRTSP" only)

-d <duration>
    specify an explicit duration

-D <maximum-inter-packet-gap>
    specify a maximum period of inactivity to wait before exiting

-E <absolute-seek-end-time>
    request that the server end streaming at the specified absolute time (format: "YYYYMMDDTHHMMSSZ" or "YYYYMMDDTHHMMSS.<frac>Z") (used only with -U<initial-absolute-seek-time>)

-f <frame-rate>
    specify the video frame rate (used only with "-q", "-4", or "-i")

-F <fileName-prefix>
    specify a prefix for each output file name

-g <user-agent-name>
    specify a user agent name to use in outgoing requests

-h <height>
    specify the video image height (used only with "-q", "-4", or "-i")

-H  output a QuickTime 'hint track' for each audio/video track (used only with "-q" or "-4")

-i  output a '.avi'-format file (to 'stdout', unless the "-P <interval-in-seconds>" option is also given)

-I <interface-name-or-address>
    specify a particular network interface on which to receive data

-k <username> <password>
    specify a user name and password that's required to authenticate an incoming "REGISTER" command (used with "-R" only)

-K  Periodically send a RTSP "OPTIONS" command, to keep the connection alive. (This is useful with buggy servers that don't listen to our periodic RTCP "RR" packets instead.)

-l  try to compensate for packet losses (used only with "-q", "-4", or "-i")

-m  output each incoming frame into a separate file

-M <MIME-subtype>
    specify the MIME subtype of a dynamic RTP payload format for the audio codec to request from the server ("playSIP" only)

-n  be notified when RTP data packets start arriving

-o  request the server's command options, without sending "DESCRIBE" ("openRTSP" only)

-O  don't request the server's command options; just send "DESCRIBE" ("openRTSP" only)

-p <starting-port-number>
    specify the client port number(s)

-P <interval-in-seconds>
    write new output files every <interval-in-seconds> seconds

-q  output a QuickTime '.mov'-format file (to 'stdout', unless the "-P <interval-in-seconds>" option is also given)

-Q  output 'QOS' statistics about the data stream (when the program exits)

-r  play the RTP streams, but don't receive them ourself

-R [<port-number>]
    Waits for an incoming "REGISTER" command, specifying a "rtsp://" URL to play. This option is used instead of a "rtsp://" URL on the command line. ("openRTSP" only)

-s <initial-seek-time>
    request that the server seek to the specified time (in seconds) before streaming

-S <byte-offset>
    assume a simple RTP payload format (skipping over a special header of the specified size)

-t  stream RTP/RTCP data over TCP, rather than (the usual) UDP. ("openRTSP" only)

-T <http-port-number>
    like "-t", except using RTSP-over-HTTP tunneling. ("openRTSP" only)

-u <username> <password>
    specify a user name and password for digest authentication

-U <initial-absolute-seek-time>
    request that the server seek to the specified absolute time (format: "YYYYMMDDTHHMMSSZ" or "YYYYMMDDTHHMMSS.<frac>Z") before streaming

-v  play only the video stream (to 'stdout', unless the "-P <interval-in-seconds>" option is also given)

-V  print less verbose diagnostic output

-w <width>
    specify the video image width (used only with "-q", "-4", or "-i")

-y  try to synchronize the audio and video tracks (used only with "-q" or "-4")

-z <scale>
    request that the server scale the stream (fast-forward, slow, or reverse play)

SEE ALSO

openRTSP(1), playSIP(1)

http://www.live555.com/openRTSP/, http://www.live555.com/playSIP/